The availability of features may depend on your plan type. Contact your Customer Success Manager if you have any questions.
Dev GuideAPI Reference
Dev GuideAPI ReferenceUser GuideGitHubDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

Log Endpoint

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

JSON object that holds an array of visitor objects that describe the visitor's experience during an Optimizely campaign.

string
required

The Optimizely account to which these events should be attributed.

string

The project_id needs only to be passed if you are using the Recommendations product.

boolean
Defaults to true

Optimizely typically stores the client IP address for each request. If this flag is true, the last octet of the IP will be truncated before it is stored. If false, the entire IP address will be stored. This is most relevant for consumers of this API that are implemented in a web browser or mobile client context who are subject to policies or regulation restricting the storage of end-user identifying information. Note that this flag is independent of the IP anonymization setting in the Account and Project settings, which only controls how Optimizely clients set this flag. Also note that if this flag is set, care must be taken when using the IP filtering feature, as fully-qualified explicit IP addresses will not function as filters (anonymization occurs before events are filtered by IP).

string

A unique identifier for the system that generated this event. By convention, this should be something like "organization_name/system_name".

string

A version identifier for the system that generated this event.

visitors
array of objects
required

An array of visitor objects that describe the visitor's experience during an Optimizely campaign.

visitors*
Headers
boolean
Defaults to false

Optionally return failure statuses when the request body doesn't meet all field constraints. Default behavior is to be as permissive as possible and silently reject unusable requests.

Responses
204

The events were queued for recording by the Optimizely backend.

400

The request is malformed or otherwise failed validation by the Optimizely backend.

500

A server error occurred. The client should attempt to resend the events at a later time.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!